import React from 'react';
import './index.less';
export declare enum NodesClusteringAlgorithm {
    KMeans = "k-means"
}
export declare enum DistanceType {
    EuclideanDistance = "euclideanDistance"
}
export interface NodesClusteringProps {
    style?: React.CSSProperties;
    controlledValues?: {
        algorithm: string;
        clusterK: number | null;
        distanceType: string;
        focusNodeId: string;
    };
    onOpen?: () => void;
}
declare const _default: React.NamedExoticComponent<NodesClusteringProps>;
export default _default;
