export interface HullOption {
    members: string[];
    id?: string;
    type?: 'round-convex' | 'smooth-convex' | 'bubble';
    padding?: number;
    style?: {
        fill: string;
        stroke: string;
        opacity: number;
    };
}
export declare const getHullOptions: (option: HullOption) => {
    id: string;
    type: "round-convex" | "smooth-convex" | "bubble";
    members: string[];
    padding: number;
    style: {
        fill: string;
        stroke: string;
        opacity: number;
    } | undefined;
};
export declare const drawHulls: (hullOptions: any, hulls: any, graph: any) => any;
export declare const removeHulls: (hulls: any, graph: any) => void;
declare const _default: {
    getHullOptions: (option: HullOption) => {
        id: string;
        type: "round-convex" | "smooth-convex" | "bubble";
        members: string[];
        padding: number;
        style: {
            fill: string;
            stroke: string;
            opacity: number;
        } | undefined;
    };
    removeHulls: (hulls: any, graph: any) => void;
    drawHulls: (hullOptions: any, hulls: any, graph: any) => any;
};
export default _default;
