"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _giSdk = require("@antv/gi-sdk");
var _info = _interopRequireDefault(require("./info"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var deepClone = _giSdk.extra.deepClone,
  GIAC_CONTENT_METAS = _giSdk.extra.GIAC_CONTENT_METAS;
var metas = deepClone(GIAC_CONTENT_METAS);
metas.GIAC_CONTENT.properties.GIAC_CONTENT.properties.title.default = _info.default.name;
metas.GIAC_CONTENT.properties.GIAC_CONTENT.properties.icon.default = _info.default.icon;
metas.GIAC_CONTENT.properties.GIAC_CONTENT.properties.tooltip.default = _info.default.desc;
metas.GIAC_CONTENT.properties.GIAC_CONTENT.properties.containerWidth.default = '400px';
var registerMeta = function registerMeta(_ref) {
  var schemaData = _ref.schemaData;
  var schema = Object.assign({}, metas);
  return schema;
};
var _default = registerMeta;
exports.default = _default;